
Redmine - Defect #20361

Project copy does not update custom field of version type values

2015-07-17 08:42 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version: 3.0.1

Description

Making copy of a template project where there are versions created, is a custom field of version type and some issues have the

custom field set to template project version. After such copy versions and issues are copied correctly but the custom field is still

pointing to versions defined in original template project instead to newly created one.

Environment:

  Redmine version                3.0.1.stable

  Ruby version                   2.0.0-p594 (2014-10-27) [i386-mingw32]

  Rails version                  4.2.0

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.11

  Git                            1.9.5

  Filesystem                     

Redmine plugins:

  inside_avatar                  1.0.2

  parent_issue_filter            1.0.1-1

  redmine_agile                  1.3.8

  redmine_spent_time_column      2.1.0

  redmine_version_fixed_issues   1.0.0

  sidebar_hide                   0.0.7

Associated revisions

Revision 14615 - 2015-09-20 14:50 - Jean-Philippe Lang

Project copy does not update custom field of version type values (#20361).

History

#1 - 2015-08-16 04:28 - Toshi MARUYAMA

- Status changed from New to Confirmed

#2 - 2015-08-16 04:28 - Toshi MARUYAMA

- Target version set to 3.2.0

#3 - 2015-09-20 14:50 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14615.
